@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Inter', sans-serif;
}
a{
    text-decoration: none;
}

body{
    background-color: #F1F2F4;
}
.container{
    max-width: 1334px;
    margin: auto;
}
/* ====================================== */

header{
    height: 70px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    color: #474748;
    background-color: white;
}

.logo{
    width: 160px;
}

.searchber{
    height: 40px;
    width: 560px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    color: #777A7E;
    background-color: #F0F5FF;
}

.searchber i{
   font-size: 1.4rem;
   margin: 0px 10px;
}

.searchber input{
    height: 40px;
    width: 100%;
    outline: none;
    border: none;
    background: transparent;
    font-size: 1.1rem;

}
.hiconcss{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    font-weight: 400;
}

.hiconcss i{
    font-size: 1.2rem;
}

div>.ldicon{
   font-size: 0.7rem; 
}

/* --------------------- */
.catagory_container{
    height: 140px;
}
.catagory{
    height: 126px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    background-color: white;
    margin: 10px 0px;
    
}

/* -------------------------------------------------------------------------*/
/* ============================== CARDS DE CATEGORIAS - INÍCIO ============ */

.card {
  /* Add shadows to create the "card" effect */
 /* box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2); */
  transition: 0.3s;
}

.card img{
	width: 15px;
	height: 55px;
}

.card a{
	color: black;
}

.card a:hover{
	color: red;
}

/* On mouse-over, add a deeper shadow 
.card:hover {
  box-shadow: 0 8px 8px 0 rgba(0,0,0,0.2);
}*/

/* Add some padding inside the card container */
.container {
  padding: 2px 16px;
}

/* ============================== CARDS DE CATEGORIAS - FIM ============ */

/* ======================================================================== */

/* Estilos básicos do carousel */
.carousel {
  position: relative;
  width: 100%;
  margin: auto;
  overflow: hidden;
}

.slides {  display: flex; transition: transform 0.5s ease-in-out; }

/* Para o texto no rodapé */
.slide {   min-width: 100%; position: relative; }

img {   width: 100%; height: auto; border-radius: 10px; }

/* Rodapé com duas linhas de texto */
.caption {
  position: absolute;
  bottom: 0;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Fundo semi-transparente preto */
  color: white;
  padding: 20px;
  text-align: center;
}

.caption h2, .caption p {  margin: 0; line-height: 1.5; }

.prev, .next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: rgba(0, 0, 0, 0.5);
  border: none;
  color: white;
  font-size: 2em;
  padding: 10px;
  cursor: pointer;
  z-index: 1;
}

.prev {  left: 10px; }

.next {  right: 10px;}

button:hover { background-color: rgba(0, 0, 0, 0.8); }

/* Indicadores (botões) fora da área de exibição do carousel */
/* Mover para fora da área da imagem */
.indicators { text-align: center; margin-top: 10px; }

.dot {
  height: 15px;
  width: 15px;
  margin: 0 5px;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50%;
  display: inline-block;
  cursor: pointer;
  transition: background-color 0.3s;
}

.dot.active { background-color: rgba(0, 0, 0, 0.9); }

.dot:hover { background-color: rgba(0, 0, 0, 0.7); }

/* =========================================================================== */

/* ==================== ÁREA DO RODAPÉ - FOOTER ========================================*/

.row{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-around;	
}

.col-2{flex-basis: 50%; min-width: 300px; }

.col-2 img{max-width: 100%; padding: 50px 0; align-items: right;}

.col-2 h1{ font-size: 50px; line-height: 60px; margin: 25px 0; }

.btn{
	display: inline-block;
	background: #ff523b;
	color: #fff;
	padding: 8px 30px;
	margin: 30px 0;
	border-radius:30px;
	transition: background 0.5s;
}

.btn:hover{ background: #563434; color: #fff; }

.footer{
	Background: #000;
	color: #8a8a8a;
	font-size: 14px;
	padding: 60px 0 20px;
}

.footer p{
	color: #8a8a8a;
}

.footer h3{
	color: #fff;
	margin-bottom: 20px;
}

.footer a{
	color: #fff;
}

.footer-col-1, 
.footer-2,
.footer-col-3, 
.footer-4{
	min-width: 250px;
	margin-bottom: 20px;
}

.footer-col-1{
	flex-basis: 30%;
}

.footer-col-2{
	flex: 1;
	text-align: center;
}

.footer-col-2 img{
	width: 180px;
	margin-bottom: 20px;
}

.footer-col-3, .footer-col-4{
	flex-basis: 12%;
	text-align: left;
}

ul{
	list-style-type: none;
}

.app-logo{
	margin-top: 20px;
}

.app-logo img{
	width: 140px;
}

.footer hr{
	border: none;
	Background: #b5b5b5;
	height: 1px;
	margin: 20px 0;
}

.reservados{
	text-align: center;
}

.menu-icon{
	width: 28px;
	margin-left: 20px;
	display: none;
}

.row-2{
	justify-content: space-between;
	margin: 100px auto 50px;
}

/* ============================== NOVA ÁREA DE RODAPÉ - FIM =============== */

/* ============================== ÁREA DE PRODUTOS - INÍCIO =============== */
.small-container{
	max-width: 1800px; /* 1080px; */
	margin: auto;
	padding-left: 25px;
	padding-right: 25px;
} 

.col-3{	
	flex-basis: 30%; 
	min-width: 250px; 
	margin-bottom: 30px; 
}

.col-3 img{ width: 100%; }

.col-4{
	flex-basis: 25%;
	padding: 10px;
	min-width: 200px;
	margin-bottom: 50px;
	transition: trasform 0.5s;
}
.col-4 img{ width: 100%; }
.title{
	text-align: center;
	margin: 0 auto 80px;
	position: relative;
	color: #555;
}
.title::after{
	content: '';
	background: #ff523b;
	width: 80px;
	height: 5px;
	border-radius: 5px;
	position: absolute;
	bottom: -5px;
	left: 50%;
	transform: translateX(-50%);
}	
h4{ color: #555; font-weight: normal; }
.col-4 p{ font-size: 14px; }
.rating .fas{ color: #ff523b; }
.col-4:hover{ transform: translateY(-5px); }
.offer{
	background: radial-gradient(#fff, #ffd6d6);
	margin-top: 80px;
	padding:30px 0;
}
.col-2 .offer-img{ padding: 50px; }
small{ color:#555; }

.testimonial{ padding-top: 100px; }

.testimonial col-3{
	text-align: center;
	padding: 40px 20px;/*
	box-shadow: 0 0 20px 0px rgba(0,0,0,0.1);
	cursor: pointer;
	transition: transform 0.5s;*/
}
.testimonial col-3 img{
	width: 50px;
	margin-top: 20px;
	border-radius: 50%;
}	
.testimonial col-3:hover{ transform: translateY(-10px); }

.fa.fa-quote-left{ font-size: 34px; color: #ff523b; }

.col-3 p{
	font-size: 12px;
	margin: 12px 0;
	color: #777;
}
.testimonial .col-3 h3{
	font-weight: 600;
	color: #555;
	font-size: 16px;
}
.brands { margin: 100px; }
.col-5 { width: 160px; }
.col-5 img{
	width: 100%;
	cursor: pointer;
	filter: grayscale(100%);
}
.col-5 img:hover{ filter: grayscale(0); }


select{
	border: 1px solid #ff523b;
	padding: 5px;
}

select:focus{
	outline: none;
}

.page-btn{
	margin: 0 auto 80px;
}

.page-btn span{
	display: inline-block;
	border: 1px solid #ff523b;
	margin-left:10px;
	width: 40px;
	height: 40px;
	text-align: center;
	line-height: 40px;
	cursor:pointer;
}

.page-btn span:hover{
	background: #ff523b;
	color: #fff;
}

/*   detalhes do produto   */

.single-product{
	margin-top: 80px;
}

.single-product .col-2 img{
	padding: 0;
}

.single-product .col-2{
	padding: 20px;
}

.single-product h4{
	margin: 20px 0;
	font-size: 22px;
	font-weight: bold;
}

.single-product select{
	display: block;
	padding: 10px;
	margin-top:  20px;
}

.single-product input{
	width: 50px;
	height: 40px;
	padding-left: 10px;
	font-size: 20px;
	margin-right: 10px;
	border: 1px solid #ff523b;
}

input:focus{
	outline: none;
}

.single-product .fa{
	color: #ff523b;
	margin-left: 10px;
}

.small-img-row{
	display: flex;
	justify-content:space-between;
}

/*
.small-img-col{
	display: flex;
	justify-content:space-between;
	cursor: pointer;
}
*/

.small-img-col{
	flex-basis: 24%;
	cursor: pointer;
}

.logo {
	width: 50px;
	height: 50px;
}

#cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #333;
    color: white;
    text-align: center;
    padding: 10px;
    font-family: Arial, sans-serif;
    z-index: 1000;
}

#cookie-banner p {
    margin: 0;
    padding-bottom: 10px;
}

#cookie-banner a {
    color: #ff9900;
    text-decoration: none;
}

#cookie-banner button {
    background-color: #ff9900;
    border: none;
    color: white;
    padding: 10px 20px;
    margin: 5px;
    cursor: pointer;
    border-radius: 5px;
}

#cookie-banner button:hover {
    background-color: #e68900;
}

#cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #333;
    color: white;
    text-align: center;
    padding: 10px;
    font-family: Arial, sans-serif;
    z-index: 1000;
}

#cookie-banner p {
    margin: 0;
    padding-bottom: 10px;
}

#cookie-banner a {
    color: #ff9900;
    text-decoration: none;
}

#cookie-banner button {
    background-color: #ff9900;
    border: none;
    color: white;
    padding: 10px 20px;
    margin: 5px;
    cursor: pointer;
    border-radius: 5px;
}

#cookie-banner button:hover {
    background-color: #e68900;
}

/* Estilos para o alerta de boas-vindas personalizado */
.alert {
    display: none;
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    background-color: #333;
    color: white;
    text-align: center;
    padding: 20px;
    font-family: Arial, sans-serif;
    z-index: 2000;
    border-radius: 10px;
    width: 80%;
    max-width: 400px;
}

.alert button {
    background-color: #ff9900;
    border: none;
    color: white;
    padding: 10px 20px;
    margin-top: 10px;
    cursor: pointer;
    border-radius: 5px;
}

.alert button:hover {
    background-color: #e68900;
}

.alert input {
    padding: 5px;
    font-size: 16px;
    margin-top: 10px;
    border: none;
    border-radius: 5px;
}